org.modeshape.jcr

## Class RepositoryConfiguration.Indexes

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.Indexes

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.Indexes
      extends Object

  The index-related configuration information.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.Indexes(Document indexes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `getIndex(String name)` Get the document representing the single named index definition.
    `Set<String>` | `getIndexNames()` Get the names of the indexes defined in this configuration.
    `boolean` | `isEmpty()` Determine whether there are indexes defined in this configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.Indexes

          protected RepositoryConfiguration.Indexes(Document indexes)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Determine whether there are indexes defined in this configuration.
      Returns:
        true if there are no indexes, or false otherwise

    - #### getIndexNames

          public Set<String> getIndexNames()

      Get the names of the indexes defined in this configuration.
      Returns:
        the index names; never null but possibly empty
      See Also:
        `getIndex(String)`

    - #### getIndex

          public Document getIndex(String name)

      Get the document representing the single named index definition.
      Parameters:
        `name` - the index name
      Returns:
        the representation of the index definition; or null if there is no index definition with the supplied name
      See Also:
        `getIndexNames()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.